/// <reference types="react" />
import BaseComponent from './base-components';
import { BaseChartsProp } from './base-charts/base';
interface BarChartsProp extends BaseChartsProp {
    seriesData: any;
    xAxisData: Array<string>;
}
declare class BarCharts extends BaseComponent<BarChartsProp> {
    constructor(props: BarChartsProp);
    componentWillMount(): void;
    setSeriesDataFunc(): any;
    render(): JSX.Element;
}
export default BarCharts;
